Skip to navigation

Get Branch Task Status

Poll an async branch task until status is finished or failed.

For create tasks, branchId is populated when the task finishes successfully.

Enterprise Only
This endpoint requires an Enterprise workspace with the page branching entitlement.

Required scope | branches:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
task_idstringRequiredformat: "uuid"
Unique identifier for an async branch task

Response

Branch task status
taskIdstringformat: "uuid"
statusstring

Task state (queued, started, finished, or failed).

taskTypeenum
Allowed values:
branchIdstring or nullformat: "objectid"

Branch ID when the task creates or targets a branch; null for some in-flight create tasks.

siteIdstringformat: "objectid"
createdOnstringformat: "date-time"
nextActionslist of objects
errorobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error